> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Crosstab Detail

> Get the crosstab details by project ID



## OpenAPI

````yaml get /v2/saved/crosstabs/{uuid}
openapi: 3.0.0
info:
  contact: {}
  description: platform-crosstabs for Public API
  title: platform-crosstabs API
  version: 0.0.1
servers:
  - url: http://api.globalwebindex.com
  - url: https://api.globalwebindex.com
security: []
paths:
  /v2/saved/crosstabs/{uuid}:
    get:
      tags:
        - Crosstabs
      summary: v2 Crosstab Detail
      description: Get the crosstab details by project ID
      parameters:
        - description: Unique identifier of saved project
          in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.ProjectsResponse
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: string
        '404':
          description: Project with this uuid was not found
          content:
            application/json:
              schema:
                type: string
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  schemas:
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.ProjectsResponse:
      properties:
        bases:
          description: bases (audiences) for this project
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Audience
          type: array
        columns:
          description: Saved columns in the project.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Audience
          type: array
        copied_from:
          description: UUID of project this was copied from, may be empty.
          type: string
        country_codes:
          description: List of saved country codes.
          items:
            type: string
          type: array
        created_at:
          description: When the project was created.
          type: string
        folder_id:
          description: FolderID of this project.
          type: string
        metadata:
          allOf:
            - $ref: '#/components/schemas/github_com_volatiletech_null_v8.JSON'
          description: Meta contains exra FE configuration metadata.
        name:
          description: Name of project.
          type: string
        notes:
          description: free-text field which user can enter notes in the UI
          type: string
        org_id:
          description: Organisation ID
          type: integer
        rows:
          description: Saved rows in the project.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Audience
          type: array
        shared:
          description: Project is shared with these users/orgs.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.SharingUser
          type: array
        shared_by:
          $ref: >-
            #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.SharingUser
        sharing_note:
          description: >-
            Note attached to the sharing email and in listing of projects, may
            be empty.

            This is different note to the project note.
          type: string
        sharing_type:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_domain.SharingType
          description: >-
            SharingType is filled only if is project shared by other method than
            user/org, like linkSharedByURL.
        updated_at:
          description: Last update time of the project.
          type: string
        user_id:
          description: ID of user who created this project.
          type: integer
        uuid:
          description: Internal unique identifier for this project.
          type: string
        wave_codes:
          description: List of wave codes.
          items:
            type: string
          type: array
      required:
        - bases
        - columns
        - country_codes
        - name
        - rows
        - uuid
        - wave_codes
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Audience:
      properties:
        avg:
          $ref: >-
            #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Average
        dbu:
          $ref: >-
            #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Dbu
        expression:
          $ref: >-
            #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Expression
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
        subtitle:
          type: string
      type: object
    github_com_volatiletech_null_v8.JSON:
      properties:
        json:
          items:
            type: integer
          type: array
        valid:
          type: boolean
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.SharingUser:
      properties:
        email:
          type: string
        error:
          $ref: '#/components/schemas/handler.Error'
        org_id:
          type: integer
        user_id:
          type: integer
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_domain.SharingType:
      enum:
        - ''
        - linkSharedByURL
      type: string
      x-enum-comments:
        Undefined: Default sharing by user_id or org_id.
      x-enum-varnames:
        - Undefined
        - LinkSharedByURL
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Average:
      properties:
        datapoint:
          type: string
        question:
          type: string
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Dbu:
      properties:
        datapoint:
          type: string
        question:
          type: string
      type: object
    github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Expression:
      properties:
        and:
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Expression
          type: array
        datapoints:
          items:
            type: string
          type: array
        min_count:
          type: integer
        not:
          type: boolean
        or:
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_platform-crosstabs-api_internal_apihttppublic_dtos_projects.Expression
          type: array
        question:
          type: string
        suffixes:
          items:
            type: integer
          type: array
      type: object
    handler.Error:
      properties:
        code:
          description: HTTP status code to be returned.
          type: integer
        err:
          description: Error description (error.Error()).
        message:
          description: Message to the user.
          type: string
        meta:
          additionalProperties: true
          description: Optional application specific data
          type: object
        type:
          allOf:
            - $ref: '#/components/schemas/errors.Type'
          description: Error type - invalid_arguments for example.
      type: object
    errors.Type:
      enum:
        - unknown
      type: string
      x-enum-varnames:
        - UnknownErrorType
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````